<?php

use \BTADMIN\Module\User;

class Auth
{
    private static ?User $user = null;

    private function __construct(){}

    public static function check() : bool {
        $valid = $_SESSION['user'] ?? false;
        if($valid){
            $user = (object)$_SESSION['user'];
            self::$user = new User($user->firstname, $user->lastname, $user->email, "", $user->enabled, $user->group_id);
        }
        return $valid !== null;
    }

    public static function user() : User {
        return self::$user;
    }
}