<?php

class Html {

    public static function Decode(?string $string): string
    {
        return $string ? htmlspecialchars_decode( htmlspecialchars($string, ENT_QUOTES | ENT_IGNORE | ENT_SUBSTITUTE), ENT_QUOTES | ENT_IGNORE | ENT_SUBSTITUTE) : '';
    }

    public static function stripslashes(string $string): string
    {
        return stripslashes(htmlentities($string, ENT_QUOTES));
    }
}