<?php

class Zip
{
    //private static string $filepath;
    private static \ZipArchive $archive;

    private static function create(string $filepath): void
    {
        //static::$filepath = $filepath;
        static::$archive = new ZipArchive();
        static::$archive->open($filepath, ZipArchive::CREATE);
        //self::$archive->close();
    }

    public static function addFile(string $archive, string $filepath): bool {
        static::create($archive);
        $success = static::$archive->addFile($filepath, basename($filepath));
        static::$archive->close();
        return $success;
    }

    public static function addFolder(string $archive, string $filepath): void
    {
        static::create($archive);
        $files = array_diff(scandir($filepath), ['.', '..']);
        if ($files) {
            foreach ($files as $file) {
                static::$archive->addFile($filepath . $file, basename($file));
            }
        }
        static::$archive->close();
    }


















    private \ZipArchive $zip;
    private string $zipFile;

    public function __construct(string $zipFile)
    {
        $this->zip = new ZipArchive();
        $this->zipFile = $zipFile;
        $this->zip->open($this->zipFile, ZipArchive::CREATE | ZipArchive::OVERWRITE);
    }

    /*public function addFolder(string $path): bool
    {
        $files = array_diff(scandir($path), ['.', '..']);
        if ($files) {
            foreach ($files as $file) {
                $this->zip->addFile($path . $file, $file);
            }
            $this->zip->close();
        }
        return true;
    }

    public function addFile(string $filepath){

        return $this->zip->addFile($filepath);
    }*/

    public function getArchive(): string {
        return basename($this->zipFile);
    }


}